#!/usr/bin/perl

use strict;
use warnings;

use Benchmark qw(:all);

use Storable;
use FreezeThaw;
use HTTP::Request;

my %h = (
	 one => 1,
	 two => 2,
	 href => {
		  three => 3,
		  request => HTTP::Request->new()
		 }
	 );

cmpthese(-1, {
	      'Storable' =>
	      sub {
		  Storable::thaw(Storable::freeze(\%h));
	      },
	      'FreezeThaw' =>
	      sub {
		  FreezeThaw::thaw(FreezeThaw::freeze(\%h));
	      }
	     });
